package cn.iocoder.yudao.module.mes.controller.admin.machine.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum MachineTypeEnum {


    产线(1),
    机台(2),
    关键件(3),
    其他(4);

    private final Integer value;

    // 一个可选的方法，用于根据整数值获取对应的枚举实例
    public static MachineTypeEnum fromValue(int value) {
        for (MachineTypeEnum status : MachineTypeEnum.values()) {
            if (status.getValue() == value) {
                return status;
            }
        }
        throw new IllegalArgumentException("Unknown value: " + value);
    }

}